package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeQueryitemRequest struct {
	/*
	   换购商品查询参数     */
	Param0 *domain.AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingFullrangeQueryitemRequest) SetParam0(v domain.AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery) *AlibabaWdkMarketingFullrangeQueryitemRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeQueryitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeQueryitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
